Bug 1375807 - geany-plugins must not depend on webkitgtk
Summary: geany-plugins must not depend on webkitgtk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: geany-plugins
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: webkit1-removal
TreeView+ depends on / blocked
 
Reported: 2016-09-14 04:42 UTC by Michael Catanzaro
Modified: 2016-11-14 13:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-14 00:03:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Catanzaro 2016-09-14 04:42:39 UTC
The webkitgtk package will be removed from rawhide after Fedora 26 is branched due to the high number of unfixed security vulnerabilities. You must remove this dependency or your package will not be present in Fedora 27.

Please refer to [1] for a FAQ on this matter and be advised that for some packages this may require a substantial amount of work.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/

Comment 1 Matthew Brush 2016-11-12 00:15:58 UTC
I think the next release will support non-obsolete versions.

Comment 2 Dominic Hopf 2016-11-14 00:03:30 UTC
I've successfully managed to build geany-plugins for Fedora Rawhide with disabling the following plugins which had direct Requires to webkitgtk:

* devhelp
* markdown
* webhelper

I'm in contact with upstream (and in fact, Matt himself actually is upstream), to hopefully update those plugins to use webkit2, and thus, I can enable these plugins again.

Comment 3 Michael Catanzaro 2016-11-14 13:10:49 UTC
(In reply to Dominic Hopf from comment #2)
> I've successfully managed to build geany-plugins for Fedora Rawhide with
> disabling the following plugins which had direct Requires to webkitgtk:
> 
> * devhelp
> * markdown
> * webhelper

Good, this was probably the best approach to save the rest of the plugins.

> I'm in contact with upstream (and in fact, Matt himself actually is
> upstream), to hopefully update those plugins to use webkit2, and thus, I can
> enable these plugins again.

You have to upgrade Geany to GTK+ 3 before you can use WebKit2, so it's going to be quite some effort.


Note You need to log in before you can comment on or make changes to this bug.